PasskeyRegisterBegin
POST
/auth/v1/users/current/passkeys/register/beginRequest Body
requiredapplication/json{
"$ref": "#/components/schemas/auth.v1.PasskeyRegisterBeginRequest",
"$ref-value": {
"type": "object",
"properties": {
"user_id": {
"type": "string",
"title": "user_id"
}
},
"title": "PasskeyRegisterBeginRequest",
"additionalProperties": false
}
}Response Body
200application/json
Success
type: unknown
{
"$ref": "#/components/schemas/auth.v1.PasskeyBeginResponse",
"$ref-value": {
"type": "object",
"properties": {
"session_id": {
"type": "string",
"title": "session_id"
},
"options": {
"type": "string",
"title": "options",
"format": "byte"
}
},
"title": "PasskeyBeginResponse",
"additionalProperties": false
}
}curl -X POST "https://api.rixl.com/auth/v1/users/current/passkeys/register/begin" \
-H "Content-Type: application/json" \
-d '{}'Success
application/json
{
"$ref": "#/components/schemas/auth.v1.PasskeyBeginResponse",
"$ref-value": {
"type": "object",
"properties": {
"session_id": {
"type": "string",
"title": "session_id"
},
"options": {
"type": "string",
"title": "options",
"format": "byte"
}
},
"title": "PasskeyBeginResponse",
"additionalProperties": false
}
}